<h2 class="text-center">
    <span class="badge badge-info bg-info"><{$cate_id_title|default:''}></span>
    <{$class_title|default:''}>
    <!--是否開班-->
    <{if $smarty.session.isclubAdmin|default:false}>
        <span class="badge badge-danger bg-danger">
            <{if $class_ischecked=='1'}>
                <{$smarty.const._MD_KWCLUB_CLASS_ENABLE}>
            <{elseif $class_ischecked=='0'}>
                <{$smarty.const._MD_KWCLUB_CLASS_UNABLE}>
            <{else}>
                <{$smarty.const._MD_KWCLUB_CLASS_UNDONE}>
            <{/if}>
        </span>
    <{/if}>
    <{if $is_full|default:false}>
        <a href="#" class="btn btn-danger disabled"><i class="fa fa-user-plus" aria-hidden="true"></i>
        <{$smarty.const._MD_KWCLUB_FULL_REGISTRATION}></a>
    <{elseif $class_regnum >= $class_member}>
        <a href="index.php?op=reg_form&class_id=<{$class_id|default:''}>&is_full=1" class="btn btn-warning"><i class="fa fa-user-plus" aria-hidden="true"></i>
            <{$smarty.const._MD_KWCLUB_SIGNUP_TO_MAKE_UP}></a>
    <{elseif $chk_time}>
        <a href="index.php?op=reg_form&class_id=<{$class_id|default:''}>" class="btn btn-primary"><i class="fa fa-user-plus" aria-hidden="true"></i>
            <{$smarty.const._MD_KWCLUB_SIGNUP}></a>
    <{else}>
        <a href="#" class="btn btn-danger disabled"><i class="fa fa-solid fa-ban"></i>
            <{$smarty.const._MD_KWCLUB_NON_REGISTRATION_TIME}></a>
    <{/if}>
</h2>
    <p class="text-center" style="font-size: 1em; margin: 30px auto 5px; padding:20px; border-top: 1px dashed #5f8aca;">
        <a href="index.php?club_year=<{$club_year|default:''}>" class="club_year_text"><{$club_year|default:''}></a>
        <{$smarty.const._MD_KWCLUB_APPLY_DATE}><{$smarty.const._TAD_FOR}><span style="color:rgb(190, 63, 4);"><{$smarty.session.club_start_date|date_format:"%Y/%m/%d %H:%M"}> ~ <{$smarty.session.club_end_date|date_format:"%Y/%m/%d %H:%M"}></span>
    </p>

<div class="row" style="margin: 5px auto;">
    <div class="col-md-12">
        <!--開課教師-->
        <div class="row">
            <label class="col-md-3 text-right">
                <{$smarty.const._MD_KWCLUB_TEACHER_ID}>
            </label>
            <div class="col-md-9">
                    <a href="index.php?op=teacher#<{$teacher_id|default:''}>"><{$teacher_id_title|default:''}></a>
            </div>
        </div>

        <!--上課地點-->
        <div class="row">
            <label class="col-md-3 text-right">
                <{$smarty.const._MD_KWCLUB_PLACE_ID}>
            </label>
            <div class="col-md-9">
                <{$place_id_title|default:''}>
            </div>
        </div>

        <!--招收對象-->
        <div class="row">
            <label class="col-md-3 text-right">
                <{$smarty.const._MD_KWCLUB_CLASS_GRADE}>
            </label>
            <div class="col-md-9">
                <{$class_grade|default:''}>
            </div>
        </div>

        <!--上課日-->
        <div class="row">
            <label class="col-md-3 text-right">
                <{$smarty.const._MD_KWCLUB_CLASS_DATE}>
            </label>
            <div class="col-md-9">
                <span class="number_b">
                    <{$class_date_open|date_format:"%Y/%m/%d"}>
                </span>
                <{$smarty.const._MD_KWCLUB_APPLY_FROM_TO}>
                <span class="number_b">
                    <{$class_date_close|date_format:"%Y/%m/%d"}>
                </span>
                <div>
                    <!--上課星期-->
                    <{$smarty.const._MD_KWCLUB_W|sprintf:$class_week}>
                    <span class="number_o">
                        <{$class_time_start|date_format:"%H:%M"}>
                    </span>
                    <{$smarty.const._MD_KWCLUB_APPLY_FROM_TO}>
                    <span class="number_o">
                        <{$class_time_end|date_format:"%H:%M"}>
                    </span>
                </div>
            </div>
        </div>


        <!--社團學費-->
        <div class="row">
            <label class="col-md-3 text-right">
                <{$smarty.const._MD_KWCLUB_CLASS_MONEY}>
            </label>
            <div class="col-md-9">
                <{$class_money|default:''}> <{$smarty.const._MD_KWCLUB_DOLLAR}>
                <{if $class_fee|default:false}>
                    (<{$smarty.const._MD_KWCLUB_CLASS_FEE}> <{$class_fee|default:''}> <{$smarty.const._MD_KWCLUB_DOLLAR}>)
                <{/if}>
            </div>
        </div>

        <!--招收人數-->
        <div class="row">
            <label class="col-md-3 text-right">
                <{$smarty.const._MD_KWCLUB_CLASS_MENBER}>
            </label>
            <div class="col-md-9">
                <{$class_member|default:''}> <{$smarty.const._MD_KWCLUB_PEOPLE}>
            </div>
        </div>

        <!--報名人數-->
        <div class="row">
            <label class="col-md-3 text-right">
                <{$smarty.const._MD_KWCLUB_CLASS_REGNUM}>
            </label>
            <div class="col-md-9">
                <{$class_regnum|default:''}> <{$smarty.const._MD_KWCLUB_PEOPLE}>
            </div>
        </div>

        <!--社團備註-->
        <{if $class_note|default:false}>
            <div class="row">
                <label class="col-md-3 text-right">
                    <{$smarty.const._MD_KWCLUB_CLASS_NOTE}>
                </label>
                <div class="col-md-9">
                    <{$class_note|default:''}>
                </div>
            </div>
        <{/if}>
    </div>
    <div class="col-md-12">
        <!--社團簡介-->
        <div class="card card-body bg-light m-1">
            社團簡介：<{$class_desc|default:''}>
        </div>
    </div>
</div>


<div class="alert alert-info text-center">
    <{if $is_full|default:false}>
        <a href="#" class="btn btn-danger disabled"><i class="fa fa-user-plus" aria-hidden="true"></i>
            <{$smarty.const._MD_KWCLUB_FULL_REGISTRATION}></a>
    <{elseif $class_regnum >= $class_member}>
        <a href="index.php?op=reg_form&class_id=<{$class_id|default:''}>&is_full=1" class="btn btn-warning"><i class="fa fa-solid fa-ban"></i>
            <{$smarty.const._MD_KWCLUB_SIGNUP_TO_MAKE_UP}></a>
    <{elseif $chk_time}>
        <a href="index.php?op=reg_form&class_id=<{$class_id|default:''}>" class="btn btn-primary"><i class="fa fa-user-plus" aria-hidden="true"></i>
            <{$smarty.const._MD_KWCLUB_SIGNUP}></a>
    <{else}>
        <a href="#" class="btn btn-danger disabled"><i class="fa fa-solid fa-ban"></i>
            <{$smarty.const._MD_KWCLUB_NON_REGISTRATION_TIME}></a>
    <{/if}>
</div>


<{if $smarty.session.isclubAdmin || $smarty.session.isclubUser }>
    <div class="alert alert-success text-center">
        <a href="club.php?club_year=<{$club_year|default:''}>" class="btn btn-primary" <{if !$can_operate}>data-toggle="tooltip"  data-placement="bottom" data-bs-toggle="tooltip"  data-bs-placement="bottom" title="<{$smarty.const._MD_KWCLUB_OVER_END_TIME}>" disabled<{/if}>>
            <i class="fa fa-plus" aria-hidden="true"></i>
            <{$smarty.const._MD_KWCLUB_ADD_CLUB}>
        </a>
        <{if $smarty.session.isclubAdmin || $uid == $class_uid }>
            <{if $class_regnum == 0}>
                <a href="javascript:delete_class_func(<{$class_id|default:''}>);" class="btn btn-danger">
                    <i class="fa fa-trash" aria-hidden="true"></i><{$smarty.const._TAD_DEL}>
                </a>
            <{/if}>

            <a href="club.php?class_id=<{$class_id|default:''}>" class="btn btn-warning" <{if !$can_operate}>data-toggle="tooltip"  data-placement="bottom" data-bs-toggle="tooltip"  data-bs-placement="bottom" title="<{$smarty.const._MD_KWCLUB_OVER_END_TIME}>" disabled<{/if}>>
                <i class="fa fa-pen-to-square" aria-hidden="true"></i>
                <{$smarty.const._MD_KWCLUB_MODIFY_CLUB}>
            </a>

            <{if $smarty.session.isclubAdmin|default:false}>
                <a href="index.php?op=reg_form&class_id=<{$class_id|default:''}>" class="btn btn-success"><i class="fa fa-user-plus" aria-hidden="true"></i>
                <{$smarty.const._MD_KWCLUB_SIGNUP_FOR_STU}></a>

                <button class="btn btn-info" id="btnExport"><i class="fa fa-user-plus" aria-hidden="true"></i>
                    <{$smarty.const._MD_KWCLUB_EXPORT_STU}>
                </button> 
            <{/if}>

        <{/if}>
    </div>
<{/if}>

<br>

<h3>
    <a href="index.php?club_year=<{$club_year|default:''}>" class="club_year_text"><{$club_year|default:''}></a>
    <span style="color:green"><{$class_title|default:''}></span>
    <{$smarty.const._MD_KWCLUB_REGISTERED_LIST}>
    <small><{$smarty.const._MD_KWCLUB_PAGEBAR_TOTAL|sprintf:$total}></small>
</h3>

<{include file="$xoops_rootpath/modules/kw_club/templates/sub_kw_club_reg_list_table.tpl"}>


