<script src="assets/js/sweetalert2.all.min.js"></script>
<h2><{$smarty.const._MD_KWCLUB_CLUB_YEAR_LIST}></h2>  
<h5 class="text-center"><img width="20" src="./assets/images/now.png" alt="本期別" title="本期別" >目前主社團：(<{$now_club_year|default:''}>)</h5>

<{if $all_kw_club_info|default:false}>
    <{if $smarty.session.isclubAdmin|default:false}>
        <{$delete_kw_club_info_func|default:''}>
    <{/if}>
    <div id="kw_club_info_save_msg"></div>

    <{if $smarty.session.isclubAdmin|default:false}>
   
        <div class="text-right d-flex justify-content-end">
           
            <a href="<{$xoops_url|default:''}>/modules/kw_club/config.php?op=kw_club_info_form" class="btn btn-info"><{$smarty.const._MD_KWCLUB_ADD_CLUB_INFO}></a>
        <{if $all_kw_club_info }>
            <a href="<{$xoops_url|default:''}>/modules/kw_club/config.php?op=kw_club_info_form&type=copy" class="btn btn-success">
                <{$smarty.const._MD_KWCLUB_COPY}>
            </a>
        <{/if}>
        </div>
    <{/if}>

    <div class="vtable" style="margin: 10px;">
        <ul class="vhead">
            <!--社團年度-->
            <li class="w2">
                <{$smarty.const._MD_KWCLUB_ENABLE}>
            </li>
            <!--報名起始日-->
            <li>
                <{$smarty.const._MD_KWCLUB_START_DATE}>
            </li>
            <!--報名終止日-->
            <li>
                <{$smarty.const._MD_KWCLUB_END_DATE}>
            </li>
            <!--報名方式-->
            <li class="w1">
                <{$smarty.const._MD_KWCLUB_ISFREE}>
            </li>
            <!--候補人數-->
            <li class="w1">
                <{$smarty.const._MD_KWCLUB_ISSHOW}><br>
                <{$smarty.const._MD_KWCLUB_BACKUP_NUM}>
            </li>

            <{if $smarty.session.isclubAdmin|default:false}>
                <li class="w2"><{$smarty.const._TAD_FUNCTION}></li>
            <{/if}>
        </ul>

        <{foreach from=$all_kw_club_info item=data}>
            <ul id="tr_<{$data.club_id}>" <{if $data.club_start_date <= $today && $today <= $data.club_end_date}> class="list-group-item list-group-item-action list-group-item-success"<{/if}> >

                <!--社團名稱-->
                <li class="vcell"><{$smarty.const._MD_KWCLUB_YEAR}></li>
                <li class="vm w2">
                    <a href="config.php?op=update_enable&club_enable=<{if $data.club_enable==1}>0<{else}>1<{/if}>&club_id=<{$data.club_id}>" data-toggle="tooltip" data-placement="bottom" data-bs-toggle="tooltip" data-bs-placement="bottom" title="<{$smarty.const._MD_KWCLUB_CLICK_TO}><{if $data.club_enable==1}><{$smarty.const._MD_KWCLUB_ENABLE_0}><{else}><{$smarty.const._MD_KWCLUB_ENABLE_1}><{/if}>"><{$data.club_enable_pic}></a>
                    <{if $data.club_year==$now_club_year}>
                       <{$data.club_year_pic}>
                    <{else}>
                        <a href="config.php?op=update_club_year&club_id=<{$data.club_id}>"  data-toggle="tooltip" data-placement="bottom" data-bs-toggle="tooltip" data-bs-placement="bottom" title="<{$smarty.const._MD_KWCLUB_CLICK_TO}>此期別"> <{$data.club_year_pic}> </a>
                    <{/if}>(<{$data.club_sort}>)
                        <span data-toggle="tooltip" data-placement="bottom" data-bs-toggle="tooltip" data-bs-placement="bottom" title="<{$data.club_year}>"><{$data.club_year}></span>

                </li>

                <!--報名起始日-->
                <li class="vcell"><{$smarty.const._MD_KWCLUB_START_DATE}></li>
                <li class="vm text-center">
                    <span style="color:rgb(190, 63, 4);"><{$data.club_start_date|date_format:"%Y/%m/%d %H:%M"}></span>
                </li>

                <!--報名終止日-->
                <li class="vcell"><{$smarty.const._MD_KWCLUB_END_DATE}></li>
                <li class="vm text-center">
                    <span style="color:rgb(190, 63, 4);"><{$data.club_end_date|date_format:"%Y/%m/%d %H:%M"}></span>
                </li>

                <!--報名方式-->
                <li class="vcell"><{$smarty.const._MD_KWCLUB_ISFREE}></li>
                <li class="vm w1 text-center">
                    <{$data.club_isfree_text}>
                </li>

                <!--候補人數-->
                <li class="vcell"><{$smarty.const._MD_KWCLUB_BACKUP_NUM}></li>
                <li class="vm w1 text-center ">
                    <{$data.club_isshow_text}><br><{$data.club_backup_num}>
                </li>


                <{if $smarty.session.isclubAdmin|default:false}>
                    <li class="vcell"><{$smarty.const._TAD_FUNCTION}></li>
                    <li class="vm w2 text-center">
                        <a href="javascript:delete_kw_club_info_func(<{$data.club_id}>);" class="btn btn-sm btn-danger"><{$smarty.const._TAD_DEL}></a>
                        <a href="<{$xoops_url|default:''}>/modules/kw_club/config.php?op=kw_club_info_form&club_id=<{$data.club_id}>" class="btn btn-sm btn-warning"><{$smarty.const._TAD_EDIT}></a>
                        <a href="club.php?club_year=<{$data.club_year|default:''}>" class="btn btn-sm btn-primary"> <{$smarty.const._MD_KWCLUB_ADD}></a>
                        <!-- <a href="club.php?club_year=<{$data.club_year|default:''}>" class="btn btn-sm btn-info"> <{$smarty.const._MD_KWCLUB_IMPORT}></a> -->
                        <button type="button" class="btn btn-sm btn-info" data-bs-toggle="modal" data-bs-target="#importModal" data-club="<{$data.club_year|default:''}>" data-id="<{$data.club_id}>" id="btnShowModal" ><{$smarty.const._MD_KWCLUB_IMPORT}></button>

                    </li>
                <{/if}>
            </ul>
        <{/foreach}>
    </div>
    <{$bar|default:''}>
  
<!-- Modal -->
<div class="modal fade" id="importModal" tabindex="-1" aria-labelledby="importModalLabel" aria-hidden="true">
    <div class="modal-dialog">
    <div class="modal-content">
        <!-- Modal 標頭 -->
        <div class="modal-header">
            <h5 class="modal-title" id="importModalLabel"></h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <!-- Modal 內容 -->
        <div class="modal-body">
            <form id="importForm" enctype="multipart/form-data">
                <div class="mb-3">
                <label for="excelFile" class="form-label">上傳Excel檔案</label>
                <input type="file" class="form-control" id="excelFile" name="file" accept=".csv" required>
                <input type="hidden" name="op" value="import_class">
                <input type="hidden" name="club_id" id="club_id" value="">
                <input type="hidden" name="club_year" id="club_year" value="">
                </div>
            </form>
            <button type="button" class="btn btn-warning" id="btnDownloadExample">
                <{$smarty.const._MD_KWCLUB_IMPORT_FILE}>
            </button>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">關閉</button>
            <button type="button" class="btn btn-primary" id="btnImport">匯入</button>
        </div>
    </div>
    </div>
</div>
<{else}>
    <div class="jumbotron text-center">
        <{if $smarty.session.isclubAdmin|default:false}>
            <a href="<{$xoops_url|default:''}>/modules/kw_club/config.php?op=kw_club_info_form" class="btn btn-info"><{$smarty.const._MD_KWCLUB_ADD_CLUB_INFO}></a>
        <{else}>
            <h3><{$smarty.const._MD_KWCLUB_EMPTY_YEAR}></h3>
        <{/if}>
    </div>
<{/if}>

<script type="text/javascript">
$(document).ready(function() {

    $('#btnShowModal').on('click', function() {
    
        var clubYear = $(this).data('club');
        var clubId = $(this).data('id');  
        
        $('#importModalLabel').text("匯入"+clubYear+"所有社團資料");
        $('#club_id').val(clubId);
        $('#club_year').val(clubYear);
        $('#importModal').modal('show');
      });

    $('#btnDownloadExample').on('click', function(e) {
        e.preventDefault();
        
        var downloadUrl = 'assets/kw_club_example.csv';
        var fileName = 'kw_club_example.csv';
        
        var link = document.createElement('a');
        link.href = downloadUrl;
        link.download = fileName;
        
        document.body.appendChild(link);
        link.click();
        document.body.removeChild(link);
    });

    $('#btnImport').on('click', function() {
          var formData = new FormData($('#importForm')[0]);
          
          $.ajax({
            url: 'config.php',   
            type: 'POST',
            data: formData,
            dataType: 'json',        
            contentType: false,       
            processData: false,        
            success: function(response) {
                console.log('Response:', response); // 檢查回應
                Swal.fire({
                    icon: response.status,
                    title: '上傳結果',
                    text: response.message,
                    confirmButtonText: '確定'
                  }).then(function() {
                    location.reload();
                  });

            },
            error: function(xhr, status, error) {
                console.error(error);
                Swal.fire({
                    icon: 'error',
                    title: '發生錯誤',
                    text: '匯入發生錯誤，請稍候再試。',
                    confirmButtonText: '確定'
                });
            }
          });
    });
    
   
});
    

function delete_kw_club_info_func(club_id){
    swal({
        title: '確定刪除?!',
        text: "刪除期別會一併刪除所有此期別的課程，和所有學生的報名資料，且無法復原請務必確認!!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#d33',
        cancelButtonColor: '#3085d6',
        confirmButtonText: '確定刪除',
        closeOnConfirm: false ,
        allowOutsideClick: true
        },
        function(){
            swal('已刪除!','社團期別和相關課程已全部刪除!', 'success');
            location.href='config.php?op=delete_kw_club_info&club_id=' + club_id;
        });
}
</script>